---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: main
spec:
  selector:
    matchLabels:
      container: main
  template:
    metadata:
      labels:
        container: main
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: citadel
    spec:
      containers:
      - env:
        - name: OAK_DATA_DIR
          value: /data
        - name: OAK_LND_CERT_PATH
          value: /lnd-dir/tls.cert
        - name: OAK_LND_MACAROON_PATH
          value: /lnd-dir/data/chain/bitcoin/mainnet/admin.macaroon
        - name: OAK_LND_REST_API_URL
          value: https://service.lnd.admin.nirvati:8080
        - name: ROCKET_ADDRESS
          value: 0.0.0.0
        - name: ROCKET_PORT
          value: '8100'
        image: oak-node.net/oak:v0.3.4@sha256:b4f218a453a10174492a1b03c66329dff89bdece26c0b024e1bffe9340141048
        name: main
        volumeMounts:
        - mountPath: /data
          name: host-home-citadel-citadel-app-data-oak-node-data
        - mountPath: /oak/log
          name: host-home-citadel-citadel-app-data-oak-node-log
        - mountPath: /lnd-dir
          name: host-home-citadel-citadel-app-data-lnd-lnd
      securityContext:
        fsGroup: 1000
        runAsGroup: 1000
        runAsUser: 1000
      terminationGracePeriodSeconds: 60
      volumes:
      - hostPath:
          path: /home/citadel/citadel/app-data/lnd/lnd
        name: host-home-citadel-citadel-app-data-lnd-lnd
      - hostPath:
          path: /home/citadel/citadel/app-data/oak-node/data
        name: host-home-citadel-citadel-app-data-oak-node-data
      - hostPath:
          path: /home/citadel/citadel/app-data/oak-node/log
        name: host-home-citadel-citadel-app-data-oak-node-log

